# SubArrayConditionV1
`toloka.client.project.template_builder.conditions.SubArrayConditionV1` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/conditions.py#L284)

```python
SubArrayConditionV1(
    self,
    data: Optional[Any] = None,
    parent: Optional[Any] = None,
    *,
    hint: Optional[Any] = None,
    version: Optional[str] = '1.0.0'
)
```

Checks that the array in data is a subarray for parent.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`data`|**Optional\[Any\]**|<p>Subarray that is checked for in parent.</p>
`parent`|**Optional\[Any\]**|<p>The array where data is searched for.</p>
`hint`|**Optional\[Any\]**|<p>Validation error message that the user will see.</p>
